transfer() { if [ $# -eq 0 ]; then echo -e "No arguments specified. Usage:\necho transfer /tmp/test.md\ncat /tmp/test.md | transfer test.md"; return 1; fi;tmpfile=$( mktemp -t transferXXX ); if tty -s; then basefile=$(basename "$1" | sed -e 's/[^a-zA-Z0-9._-]/-/g'); curl --progress-bar --upload-file "$1" "https://transfer.sh/$basefile" >> $tmpfile; else curl --progress-bar --upload-file "-" "https://transfer.sh/$1" >> $tmpfile ; fi; cat $tmpfile; rm -f $tmpfile; }


info() { printf "\n%s %s\n\n" "$( date )" "$*" >&2; }


ix () { curl -n -F 'f:1=<-' http://ix.io 2>/dev/null ;}


viman() { text=$(man "$@") && echo "$text" | vim -R +":set ft=man nomod nonu noma nolist colorcolumn=" - ; }


upload() {
  # inspired by https://www.alexander-pluhar.de/paste-file-host.html
  # make eternity the default lifespan
  FILE_LIFESPAN=${2:-e}
  FILE_ID=$(base64 /dev/urandom | tr -d '/+' | dd bs=16 count=1 2>/dev/null)

  rsync -auvP -4 $1 nebula:/var/www/htdocs/dotya.ml/files/$FILE_LIFESPAN/$FILE_ID-$1

  FILE_URL="https://dotya.ml/files/$FILE_LIFESPAN/$FILE_ID-$1"

  if [[ -z "$WAYLAND_DISPLAY" ]]; then
    echo $FILE_URL | xclip -selection clipboard
    echo $FILE_URL | xsel --clipboard --input
  else
    echo $FILE_URL | wl-copy
  fi

  echo $FILE_URL
}


timesh() {
  shell=${1-$SHELL}
  for i in $(seq 1 10); do /usr/bin/time $shell -i -c exit; done
}


delete-branches() {
  git branch |
    grep --invert-match '\*' |
    cut -c 3- |
    fzf --multi --preview="git log {} --" |
    xargs --no-run-if-empty git branch --delete --force
}
